module.exports = async function getURLParameters(url) {
    const params = new URL(url).searchParams;
    const parameterArray = [];

    params.forEach((value, key) => {
        parameterArray.push({ name: key, value: value });
    });

    return parameterArray;
}
